# System Requirements

- https://matrix.org/docs/guides/faq.html#what-are-synapses-platform-requirements

# Federation Setup / Testing

- https://github.com/matrix-org/synapse/blob/master/README.rst#setting-up-federation
- https://matrix.org/federationtester/api/report?server_name=domain.tld

# Firewall Rules (firewalld)

```
# Main Matrix Services
firewall-cmd --permanent --zone=public --add-port=8448/tcp
firewall-cmd --permanent --zone=public --add-port=8008/tcp
firewall-cmd --permanent --zone=public --add-port=8090/tcp
firewall-cmd --reload

# Turn/voice/video services
firewall-cmd --permanent --zone=public --add-port=3478/tcp
firewall-cmd --permanent --zone=public --add-port=3478/udp
firewall-cmd --permanent --zone=public --add-port=5349/tcp
firewall-cmd --permanent --zone=public --add-port=5349/udp
firewall-cmd --reload

```

# Register new users

```
# Add -a before the url to create a new admin account
docker exec -it matrix register_new_matrix_user -c /data/homeserver.yaml http://127.0.0.1:8008
```
